Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface DynamicAttribute

All Known Subinterfaces:
  DynamicConfigurator

All Known Implementing Classes:
  MacroInstance, ScriptDefBase, XSLTProcess.Factory.Attribute

public interface DynamicAttribute

Enables a task to control unknown attributes

Since:
  Ant 1.5

Method Summary
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)` Set a named attribute to the given value

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws BuildException

  Set a named attribute to the given value

  Parameters:
    `name` - the name of the attribute
    `value` - the new value of the attribute
  Throws:
    `BuildException` - when any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.